package com.qmth.teachcloud.report.business.bean.dto.printOpen;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.DimensionEnum;

/**
 * @Description: 分布式印刷开放接口 - 试卷维度配置
 * @Author: CaoZixuan
 * @Date: 2022-06-08
 */
public class PaperDimension {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    private String paperNumber;

    private String paperName;

    private DimensionEnum dimensionType;

    private String codePrimary;

    private String namePrimary;

    private String codeSecond;

    private String nameSecond;

    private String interpretation;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public DimensionEnum getDimensionType() {
        return dimensionType;
    }

    public void setDimensionType(DimensionEnum dimensionType) {
        this.dimensionType = dimensionType;
    }

    public String getCodePrimary() {
        return codePrimary;
    }

    public void setCodePrimary(String codePrimary) {
        this.codePrimary = codePrimary;
    }

    public String getNamePrimary() {
        return namePrimary;
    }

    public void setNamePrimary(String namePrimary) {
        this.namePrimary = namePrimary;
    }

    public String getCodeSecond() {
        return codeSecond;
    }

    public void setCodeSecond(String codeSecond) {
        this.codeSecond = codeSecond;
    }

    public String getNameSecond() {
        return nameSecond;
    }

    public void setNameSecond(String nameSecond) {
        this.nameSecond = nameSecond;
    }

    public String getInterpretation() {
        return interpretation;
    }

    public void setInterpretation(String interpretation) {
        this.interpretation = interpretation;
    }
}
